# OpenLayers.Format.WMSGetFeatureInfo

Class to read GetFeatureInfo responses from Web Mapping Services

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WMSGetFeatureInfo | Class to read GetFeatureInfo responses from Web Mapping Services
Properties |
layerIdentifier | {String} All xml nodes containing this search criteria will populate an internal array of layer nodes.
featureIdentifier | {String} All xml nodes containing this search criteria will populate an internal array of feature nodes for each layer node found.
regExes | Compiled regular expressions for manipulating strings.
gmlFormat | {OpenLayers.Format.GML} internal GML format for parsing geometries in msGMLOutput
Constructor |
OpenLayers.Format.WMSGetFeatureInfo | Create a new parser for WMS GetFeatureInfo responses
Functions |
read | Read WMS GetFeatureInfo data from a string, and return an array of features
read_msGMLOutput | Parse msGMLOutput nodes.
read_FeatureInfoResponse | Parse FeatureInfoResponse nodes.
getSiblingNodesByTagCriteria | Recursively searches passed xml node and all it’s descendant levels for nodes whose tagName contains the passed search string.
parseAttributes |
parseGeometry | Parse the geometry and the feature bounds out of the node using Format.GML

### Properties

### layerIdentifier

{String} All xml nodes containing this search criteria will populate an internal array of layer nodes.

### featureIdentifier

{String} All xml nodes containing this search criteria will populate an internal array of feature nodes for each layer node found.

### regExes

Compiled regular expressions for manipulating strings.

### gmlFormat

{OpenLayers.Format.GML} internal GML format for parsing geometries in msGMLOutput

### Constructor

### OpenLayers.Format.WMSGetFeatureInfo

Create a new parser for WMS GetFeatureInfo responses

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read WMS GetFeatureInfo data from a string, and return an array of features

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array(OpenLayers.Feature.Vector)} An array of features.

### read_msGMLOutput

> read_msGMLOutput: function( | data | )

Parse msGMLOutput nodes.

#### Parameters

data | {DOMElement}

#### Returns

{Array}

### read_FeatureInfoResponse

> read_FeatureInfoResponse: function( | data | )

Parse FeatureInfoResponse nodes.

#### Parameters

data | {DOMElement}

#### Returns

{Array}

### getSiblingNodesByTagCriteria

> getSiblingNodesByTagCriteria: function( | node,
> | criteria | )

Recursively searches passed xml node and all it’s descendant levels for nodes whose tagName contains the passed search string. This returns an array of all sibling nodes which match the criteria from the highest hierarchial level from which a match is found.

#### Parameters

node | {DOMElement} An xml node
criteria | {String} Search string which will match some part of a tagName

#### Returns

Array({DOMElement)) An array of sibling xml nodes

### parseAttributes

> parseAttributes: function( | node | )

#### Parameters

node | {<DOMElement>}

#### Returns

{Object} An attributes object.

#### Notes

Assumes that attributes are direct child xml nodes of the passed node and contain only a single text node.

### parseGeometry

> parseGeometry: function( | node | )

Parse the geometry and the feature bounds out of the node using Format.GML

#### Parameters

node | {<DOMElement>}

#### Returns

{Object} An object containing the geometry and the feature bounds

Read/Wite GML.

> read: function( | data | )

Read WMS GetFeatureInfo data from a string, and return an array of features

> read_msGMLOutput: function( | data | )

Parse msGMLOutput nodes.

> read_FeatureInfoResponse: function( | data | )

Parse FeatureInfoResponse nodes.

> getSiblingNodesByTagCriteria: function( | node,
> | criteria | )

Recursively searches passed xml node and all it’s descendant levels for nodes whose tagName contains the passed search string.

> parseAttributes: function( | node | )

> parseGeometry: function( | node | )

Parse the geometry and the feature bounds out of the node using Format.GML
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close